cURL
curl --request POST \
--url https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateRecord \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record": {
"archived": true,
"createTime": {},
"createdBy": {
"apiKeyId": "<string>",
"builtinIntegration": [
"BUILTIN_INTEGRATION_UNSPECIFIED",
"BUILTIN_INTEGRATION_GMAIL_V1",
"BUILTIN_INTEGRATION_OUTLOOK_V1",
"BUILTIN_INTEGRATION_LINKEDIN_V1"
],
"userId": "<string>"
},
"deleted": true,
"fields": {},
"formulaErrors": {},
"id": "<string>",
"objectApiName": "<string>",
"objectId": "<string>"
},
"updateFields": [
"<string>"
]
}
'import requests
url = "https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateRecord"
payload = {
"record": {
"archived": True,
"createTime": {},
"createdBy": {
"apiKeyId": "<string>",
"builtinIntegration": ["BUILTIN_INTEGRATION_UNSPECIFIED", "BUILTIN_INTEGRATION_GMAIL_V1", "BUILTIN_INTEGRATION_OUTLOOK_V1", "BUILTIN_INTEGRATION_LINKEDIN_V1"],
"userId": "<string>"
},
"deleted": True,
"fields": {},
"formulaErrors": {},
"id": "<string>",
"objectApiName": "<string>",
"objectId": "<string>"
},
"updateFields": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
record: {
archived: true,
createTime: {},
createdBy: {
apiKeyId: '<string>',
builtinIntegration: [
'BUILTIN_INTEGRATION_UNSPECIFIED',
'BUILTIN_INTEGRATION_GMAIL_V1',
'BUILTIN_INTEGRATION_OUTLOOK_V1',
'BUILTIN_INTEGRATION_LINKEDIN_V1'
],
userId: '<string>'
},
deleted: true,
fields: {},
formulaErrors: {},
id: '<string>',
objectApiName: '<string>',
objectId: '<string>'
},
updateFields: ['<string>']
})
};
fetch('https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateRecord', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archived": true,
"createTime": {},
"createdBy": {
"apiKeyId": "<string>",
"builtinIntegration": [
"BUILTIN_INTEGRATION_UNSPECIFIED",
"BUILTIN_INTEGRATION_GMAIL_V1",
"BUILTIN_INTEGRATION_OUTLOOK_V1",
"BUILTIN_INTEGRATION_LINKEDIN_V1"
],
"userId": "<string>"
},
"deleted": true,
"fields": {},
"formulaErrors": {},
"id": "<string>",
"objectApiName": "<string>",
"objectId": "<string>"
}{
"code": "CodeNotFound",
"detail": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Records
Update
POST
/
okapicrm.v1.OkapiCRMService
/
UpdateRecord
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/proto